Subject: bug#6685: 23.2; Discards control characters during boot.

From: "Trent W. Buck" <[email-masked]>
Date: Wed, 11 Apr 2012 20:56:52 +1000

Chong Yidong wrote:
> [email-masked] (Trent W. Buck) writes:
> 
> > I start emacs with a wrapper script which boils down to
> >
> >     ALTERNATIVE_EDITOR="" emacsclient -c -t
> >
> > In the past (23.1 or so), I could start emacs that way, and while the
> > daemon was loading in the background, I could type
> >
> >     M-x irc C-m M-x gnus C-m
> >
> > and when the daemon finished loading, the IRC and GNUS functions would
> > run.  Now, what happens is that I get
> >
> >     xircxgnus
> >
> > appended to *scratch*.  It seems pretty clear to me that Emacs has
> > started discarding control characters (^[ and ^M in my case).
> 
> As far as I can tell, this old bug was fixed by the introduction of
> xterm-extra-capabilities (set it to nil to avoid discarding
> pre-terminal-initialization input).

That appears to be defined in lisp/term/xterm.el, so it will only be
loaded when TERM=xterm.  Currently this is not the case for me;
TERM=screen and outside that TERM=linux (I am on the kernel fbcon).
I believe that was also the case when I reported the original bug.

(I have not actually tested this yet, as that variable is not
available in the 23.3 I have to hand just now.)